<script type="text/javascript" src="/cms-cps/amendandcancel/js/fae_functions_cardDetails.js"></script>
<%@ page import="com.tui.uk.config.ConfReader" %>
<%
String TUIGiftCard = ConfReader.getConfEntry("TUIGiftCard.BINRange" , "");
pageContext.setAttribute("TUIGiftCard", TUIGiftCard, PageContext.REQUEST_SCOPE);
String ThomsonCreditCard = ConfReader.getConfEntry("ThomsonCreditcard.BINRange" , "");
pageContext.setAttribute("ThomsonCreditCard", ThomsonCreditCard, PageContext.REQUEST_SCOPE);
String isMasterCardGiftApplied = ConfReader.getConfEntry("isMasterCardGiftApplied" , "");
pageContext.setAttribute("isMasterCardGiftApplied", isMasterCardGiftApplied, PageContext.REQUEST_SCOPE);

%>
 

<%
String MasterCardTUIGiftCard = ConfReader.getConfEntry("MasterCardTUIGiftCard.BINRange" , "");
pageContext.setAttribute("MasterCardTUIGiftCard", MasterCardTUIGiftCard, PageContext.REQUEST_SCOPE);
%>
<c:set var="multiCentre" value="${bookingComponent.multiCentre}" />
<c:set var='clientapp' value='${bookingInfo.bookingComponent.clientApplication.clientApplicationName}' />
<c:if test="${bookingInfo.bookingComponent.lockYourPriceSummary.selected eq 'true' && bookingComponent.lockYourPriceSummary.mmbLockYourPriceFlow eq 'true'}">
		<c:set var='clientapp'	value='${bookingInfo.bookingComponent.lockYourPriceSummary.clientApplication}' />
</c:if>
<c:choose>
	<c:when test="${multiCentre eq true}">
		<c:set var="url"
			value="${bookingComponent.breadCrumbTrail['CENTRESELECTION']}" />
	</c:when>
	<c:otherwise>
		<c:choose>
			<c:when
				test="${bookingComponent.nonPaymentData['isResponsiveHubAndSpoke'] == 'Y'}">
				<c:set var="url"
					value="${bookingComponent.breadCrumbTrail['HOLIDAY PACKAGE']}" />
			</c:when>
			<c:otherwise>
				<c:set var="url"
					value="${bookingComponent.breadCrumbTrail['HOTEL']}" />
			</c:otherwise>
		</c:choose>
	</c:otherwise>
</c:choose>
<script>
	MasterCardTUIGiftCardNumber = "<%= MasterCardTUIGiftCard %>";
	TUIGiftCardNumber = "<%= TUIGiftCard %>" ;
	ThomsonCreditCard = "<%= ThomsonCreditCard %>" ;
	isMasterCardGiftAppliedCheck="<%= isMasterCardGiftApplied %>" ;
</script>
<c:set var="isDDApplicableBrands" value='<%=com.tui.uk.config.ConfReader.getConfEntry("dd.applicableBrands", "TUITH,TUIFC,TUITHCRUISE,THOMSONMOBILE,FIRSTCHOICEMOBILE,ANCTHOMSON,ANCFIRSTCHOICE,ANCTHCRUISE")%>'/>
<c:set var="isDDApplicableBrand" value="false"/>
<c:forEach var="brand" items="${isDDApplicableBrands}">
    <c:if test="${clientapp eq brand}"><c:set var="isDDApplicableBrand" value="true"/></c:if>
</c:forEach>
<c:set var="isDDsetupAvailable" value="false" />
<c:forEach var="depositsList" items="${bookingComponent.depositComponents}">
	<c:if test="${isDDsetupAvailable ne 'true'}">
	<c:if test="${(depositsList.ddPaymentComponents != null) || (not empty depositsList.ddPaymentComponents)}">
			<c:set var="isDDsetupAvailable" value="true" />
		</c:if>
	</c:if>
</c:forEach>
<c:set var="ddtermandcondition"
	value='<%=com.tui.uk.config.ConfReader.getConfEntry("tuithdirect.termsAndConditions", "")%>' />
<c:set var="ddtermandconditionFC"
	value='<%=com.tui.uk.config.ConfReader.getConfEntry("tuifcdirect.termsAndConditions", "")%>' />
<c:set var="bookingConditions"
		value="${bookingInfo.bookingComponent.termsAndCondition}" />	
<c:forEach var="links"
		items="${bookingInfo.bookingComponent.nonPaymentData}"
		varStatus="status">
		<c:if test="${links.key eq 'PrivacyPolicy'}">
			<c:set var="privacyPolicy" value="${links.value}" />

		</c:if>
		<c:if test="${links.key eq 'SpecialNeeds'}">
			<c:set var="specialNeeds" value="${links.value}" />
		</c:if>
	</c:forEach>
<c:forEach var="depositComponent"
	items="${bookingComponent.depositComponents}" varStatus="depositSts">
	<c:if test="${depositSts.index == 0}">
		<c:choose>
			<c:when test="${depositComponent.depositType == CONST_LOW_DEPOSIT}">
				<fmt:formatNumber var="outstandingBalanceDeposit"
					value="${depositComponent.depositAmount.amount + depositComponent.outstandingBalance.amount - bookingInfo.calculatedDiscount.amount}"
					type="number" maxFractionDigits="2" minFractionDigits="2"
					pattern="#####.##" />
			</c:when>
			<c:when test="${depositComponent.depositType ==  CONST_DEPOSIT}">
				<fmt:formatNumber var="outstandingBalanceDeposit"
					value="${depositComponent.depositAmount.amount}" type="number"
					maxFractionDigits="2" minFractionDigits="2" pattern="#####.##" />
			</c:when>
			<c:otherwise></c:otherwise>
		</c:choose>
	</c:if>
</c:forEach>		
<c:if test="${links.key eq 'SpecialNeeds'}">
			<c:set var="specialNeeds" value="${links.value}" />
</c:if>


<div class="card-details-section card-holder max-width-form"	id="card-details-hide">
	<c:set var="iframeError" value="false"/>		
	<c:if test="${empty hccsmap.hpsSession}">
	<c:set var="iframeError" value="true"/>		
	</c:if>
	<c:choose>
	<c:when test="${iframeError == 'false'}">
		<script>
			TUIGiftCardNumber = "<%= TUIGiftCard %>" ;
			ThomsonCreditCard = "<%= ThomsonCreditCard %>" ;
			isMasterCardGiftAppliedCheck="<%= isMasterCardGiftApplied %>" ;
			var leadTitle = "Mr";
			var iframeLoaderCounter = 0;
			function scrollToViewport() {
				if(iframeLoaderCounter > 0) {
					try{
							document.getElementById('card-details-hide').scrollIntoView({behavior: "smooth"});
					}catch(ex){
						console.log(ex);
					}
				};
				iframeLoaderCounter++;
			}
		</script>
		<iframe 
			style="width: 100%" 
			name="HCCRedirectToCPS" 
			id="hcctoCps" 
			class="
				${isDDApplicableBrand && isDDsetupAvailable ? 'withDD' : 'withoutDD'} 
				${bookingComponent.lockYourPriceSummary.selected eq 'true' && bookingComponent.lockYourPriceSummary.mmbLockYourPriceFlow ne 'true' ? 'lyp': ''}
				${not empty bookingComponent.flightSummary.inboundFlight || not empty bookingComponent.flightSummary.outboundFlight ? '' : 'accomOnly'}" 
			src="${hccsmap.hpsUrl}?HPS_SessionID=${hccsmap.hpsSession}" 
			onload="javascript:scrollToViewport()"></iframe>
	</c:when>
	<c:otherwise>
			<style>
				.tech-error {
						background: #d40e14;
						color: white;
						font-size: 18px;
						font-family: arial;
						margin: 1rem;
						padding: 2rem;
				}
			</style>
			<div class="tech-error">
				There's been a technical error submitting your card details. Please select another payment method.<br/>
			</div>
		</c:otherwise>
	</c:choose>
</div>

	<div id="paypalTandC" class="hide">
		
										
										
	<div class="ctaContent marg-bottom-10">
			 <!-- <div class="paydetails fl">
				Start - About to pay section
				<div class="disNone" id="creditCardCharges" onclick="displayCreditCharges(this.id)">
					<p class="size-18"><span class="final-amount-text">You're about to pay&nbsp;</span><span class="creditCardChargeFinalAmt currency"></span><span class="creditCardChargeFinalAmt amount" id="creditCardChargeFinalAmt">150.00</span> by Credit Card</p>

				</div>
				<div id="debitCardCharges">
					<p class="size-18">
																														<span class="final-amount-text">You're about to pay&nbsp;</span>
																														<span class="debitCardChargeFinalAmt currency" id="debitCardCurrency"></span>
																														<span class="creditCardChargeFinalAmt amount" id="debitCardFinalAmt">150.00</span><span id="debitCardText hide"> by Debit Card</span></p>
				</div>
				<div class="disNone" id="thomsonCardCharges" style="display:none">
					<p class="size-18">You're about to pay&nbsp;<span class="creditCardChargeFinalAmt currency"></span>
				<span class="creditCardChargeFinalAmt amount" id="thomsonCardFinalAmt">150.00</span> by TUI Credit Card</p>
				</div>
				<div class="disNone" id="giftCardCharges" onclick="displayCreditCharges(this.id)">
					<p class="size-18"><span class="final-amount-text">You're about to pay&nbsp;</span><span class="giftCardFinalAmt currency"></span>
					<span class="creditCardChargeFinalAmt amount" id="giftCardFinalAmt">150.00</span> by Gift Card</p>
				</div>
				<div class="disNone" id="cardPaymentCharges" onclick="displayCardChargesPaypal(this.id)">
					<p class="size-18">
						<span class="final-amount-text">You're about to pay&nbsp;</span>
						<span class="cardPaymentChargeFinalAmt currency"></span>
						<span class="creditCardChargeFinalAmt amount" id="cardPaymentFinalAmt">150.00</span> by Credit Card</p>
						<p>No credit card fees.</p>
				</div>
				<div class="disNone" id="payPalCharges" onclick="displayCardChargesPaypal(this.id)">
					<p class="size-18"><span class="final-amount-text">You're about to pay&nbsp;</span><span class="payPalFinalAmt currency" id="paypalCurrency"></span>
																													<span class="creditCardChargeFinalAmt amount" id="payPalFinalAmt">150.00</span><span id="paypalCardText" class=""> by PayPal</span></p>
				</div>
				End - About to pay section
			</div> -->
		<input hidden="true" type="checkbox" style="display: none;" checked
			name="agreeTermAndCondition" id="tourOperatorTermsAccepted">
		<div class="ctnbutton fr">
				<c:choose>
					<c:when test="${clientapp == 'TUICS' || clientapp == 'TUIES' }">
						<input type="image" src="/cms-cps/tuicommon/images/logo/Book_with_pplogo_cs.png" class="" id="paypalbutton">
					</c:when>
					<c:otherwise>
				        <input type="image" src="/cms-cps/tuicommon/images/logo/Book_with_pplogo.png" class="" id="paypalbutton">
					</c:otherwise>
				</c:choose>
			</div>
		</div>
	</div>

<div class="modal in" style="display: none" id="sessionTimeOut">
	<div class="window mini auto-height">
		<div class="modal-content no-radius">
			<span class="timeout-close-btn"> <a href="${url}"
				class="icon-v2 icon-TUI_Close timeout-close-btnIcon"></a>
			</span>
			<h2 class="time-out-title">sorry, this page has timed out.</h2>
			<div class="timeout-text">
				<p class="grey-med marg-bottom-15">
					Unfortunately, this page has timed out due to security reasons.
					Don't worry, we're not going to make you start over again, but we
					do need you to re-enter your details on this page. If you don't
					want to continue you can go to <a href="javascript:void(0)" onclick="homepage()">homepage</a>.
				</p>
			</div>
			<div class="back-to-home">
				<c:choose>
					<c:when test="${multiCentre eq true}">
						<a href="${url}" class="book-flow button large cta">Back to
							holiday</a>
					</c:when>
					<c:otherwise>
						<a href="${url}" class="book-flow button large cta">Back to
							Booking</a>
					</c:otherwise>
				</c:choose>
			</div>
		</div>
	</div>
</div>
<div class="modal in" style="display: none" id="sessionTime">
	<div class="window mini auto-height">

		<div class="page-timeout-img-content">
			<a class="page-timeout-close-btn" href="javascript:void(0)"><span
				onClick="closesessionTime()"
				class="icon-v2 icon-TUI_Close page-timeout-close-btnIcon"></span></a>
			<div class="page-timeout-section">
				<c:choose>
					<c:when test="${clientapp == 'TUICS' || clientapp == 'TUIES' }">
						<p class="page-timeout-clock">
							<svg width="32px" height="32px" class="" viewBox="0 0 1024 1024" style="fill: #252a32; stroke: #252a32;"><path d="M512 1024c-282.453 0-512-229.547-512-512s229.547-512 512-512 512 229.547 512 512-229.547 512-512 512zM512 940.373c236.373 0 428.373-192 428.373-428.373s-192-428.373-428.373-428.373-428.373 192-428.373 428.373 192 428.373 428.373 428.373zM378.027 587.093c-16.213 16.213-16.213 42.667 0 58.88s42.667 16.213 58.88 0l104.107-104.107c7.68-7.68 11.947-18.773 11.947-29.867v-313.173c0-23.040-18.773-41.813-41.813-41.813s-41.813 18.773-41.813 41.813v296.107l-91.307 92.16z"></path></svg>
						</p>
					</c:when>
					<c:otherwise>
						<p class="page-timeout-clock">
							<span class="icon-v2 icon-TUI_Clock page-timeout-close-btnIcon"></span>
						</p>
					</c:otherwise>
				</c:choose>

				<p class="page-timeout-sec">timeout in</p>
				<p id="sessiontimeDisplay" class="page-timeout-min">10 MINS</p>
			</div>
		</div>
		<div class="page-timeout-description">
			<h2 class="page-time-out-title">are you still there?</h2>
			<div class="page-timeout-text">
				<p class="grey-med">This page will be timing out for security
					reasons. Let us know that you're still here, otherwise you'll have
					to re-enter your details.</p>
			</div>
			<div class="page-timeout-back-to-home">
				<a href="javascript:void(0)" class="book-flow button large cta"
					onClick="activestate()">yes i'm still here</a>
			</div>
		</div>
	</div>
</div>
<div class="book-flow modal" id="loader-screens">
	<div class="window">
		<div class="sk-fading-circle">
			<div class="sk-circle1 sk-circle"></div>
			<div class="sk-circle2 sk-circle"></div>
			<div class="sk-circle3 sk-circle"></div>
			<div class="sk-circle4 sk-circle"></div>
			<div class="sk-circle5 sk-circle"></div>
			<div class="sk-circle6 sk-circle"></div>
			<div class="sk-circle7 sk-circle"></div>
			<div class="sk-circle8 sk-circle"></div>
			<div class="sk-circle9 sk-circle"></div>
			<div class="sk-circle10 sk-circle"></div>
			<div class="sk-circle11 sk-circle"></div>
			<div class="sk-circle12 sk-circle"></div>
		</div>
	</div>
</div>